[android-components](../../index.md) / [mozilla.components.feature.sitepermissions](../index.md) / [SitePermissionsStorage](index.md) / [save](./save.md)

# save

`fun save(sitePermissions: `[`SitePermissions`](../-site-permissions/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/sitepermissions/src/main/java/mozilla/components/feature/sitepermissions/SitePermissionsStorage.kt#L39)

Persists the [sitePermissions](save.md#mozilla.components.feature.sitepermissions.SitePermissionsStorage$save(mozilla.components.feature.sitepermissions.SitePermissions)/sitePermissions) provided as a parameter.

### Parameters

`sitePermissions` - the [sitePermissions](save.md#mozilla.components.feature.sitepermissions.SitePermissionsStorage$save(mozilla.components.feature.sitepermissions.SitePermissions)/sitePermissions) to be stored.